<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="9f0813f0-215c-4acf-81b2-4e23aba57c7d" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/annotations/build.gradle.kts" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/annotations/src/main/kotlin/cash/andrew/kotlin/tostring/ToString.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/utils.kt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/Stuff.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/gradle.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/gradle.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/modules.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/modules.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/README.md" beforeDir="false" afterPath="$PROJECT_DIR$/README.md" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/build.gradle.kts" beforeDir="false" afterPath="$PROJECT_DIR$/build.gradle.kts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/KotlinToStringPlugin.kt" beforeDir="false" afterPath="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/KotlinToStringPlugin.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringFinder.kt" beforeDir="false" afterPath="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringFinder.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringTask.kt" beforeDir="false" afterPath="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringTask.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/kotlin-tostring-generator.iml" beforeDir="false" afterPath="$PROJECT_DIR$/kotlin-tostring-generator.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/settings.gradle.kts" beforeDir="false" afterPath="$PROJECT_DIR$/settings.gradle.kts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/App.kt" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/App.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/Test.kt" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/Test.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/ToString.kt" beforeDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/.gradle/" />
    <ignored path="$PROJECT_DIR$/build/" />
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/buildSrc/.gradle/" />
    <ignored path="$PROJECT_DIR$/buildSrc/build/" />
    <ignored path="$PROJECT_DIR$/annotations/.gradle/" />
    <ignored path="$PROJECT_DIR$/annotations/build/" />
    <ignored path="$PROJECT_DIR$/annotations/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="kotlin-tostring-generator" type="f1a62948:ProjectNode" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/App.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="90">
              <caret line="6" selection-start-line="6" selection-end-line="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/build.gradle.kts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="105">
              <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/KotlinToStringPlugin.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="375">
              <caret line="31" column="48" selection-start-line="31" selection-start-column="48" selection-end-line="31" selection-end-column="48" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringTask.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="605">
              <caret line="56" column="5" lean-forward="true" selection-start-line="56" selection-start-column="5" selection-end-line="56" selection-end-column="5" />
              <folding>
                <element signature="e#37#975#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/README.md">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="180">
              <caret line="12" column="10" selection-start-line="12" selection-start-column="10" selection-end-line="12" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Kotlin Class" />
        <option value="Kotlin File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>output</find>
      <find>tostring</find>
      <find>source</find>
      <find>equals</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$APPLICATION_CONFIG_DIR$/idea.vmoptions" />
        <option value="$PROJECT_DIR$/buildSrc/settings.gradle.kts" />
        <option value="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringPlugin.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/ToString.kt" />
        <option value="$PROJECT_DIR$/gradle/wrapper/gradle-wrapper.properties" />
        <option value="$PROJECT_DIR$/buildSrc/src/main/kotlin/ToStringReplacer.kt" />
        <option value="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash.andrew.kotlin.tostring.gradle.kts" />
        <option value="$PROJECT_DIR$/buildSrc/src/main/kotlin/ToStringTask.kt" />
        <option value="$PROJECT_DIR$/buildSrc/buildSrc.gradle.kts" />
        <option value="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringReplacer.kt" />
        <option value="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringCreator.kt" />
        <option value="$PROJECT_DIR$/settings.gradle.kts" />
        <option value="$PROJECT_DIR$/annotations/build.gradle" />
        <option value="$PROJECT_DIR$/annotations/src/main/kotlin/cash/andrew/kotlin/tostring/ToString.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/Test.kt" />
        <option value="$PROJECT_DIR$/build.gradle.kts" />
        <option value="$PROJECT_DIR$/annotations/build.gradle.kts" />
        <option value="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/utils.kt" />
        <option value="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringFinder.kt" />
        <option value="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/KotlinToStringPlugin.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/Stuff.kt" />
        <option value="$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/App.kt" />
        <option value="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringTask.kt" />
        <option value="$PROJECT_DIR$/README.md" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="y" value="23" />
    <option name="width" value="2560" />
    <option name="height" value="1417" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="kotlin-tostring-generator" type="b2602c69:ProjectViewProjectNode" />
              <item name="kotlin-to-string-plugin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="kotlin-tostring-generator" type="b2602c69:ProjectViewProjectNode" />
              <item name="kotlin-to-string-plugin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="buildSrc" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="kotlin-tostring-generator" type="b2602c69:ProjectViewProjectNode" />
              <item name="kotlin-to-string-plugin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="buildSrc" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="kotlin-tostring-generator" type="b2602c69:ProjectViewProjectNode" />
              <item name="kotlin-to-string-plugin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="buildSrc" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="kotlin-tostring-generator" type="b2602c69:ProjectViewProjectNode" />
              <item name="kotlin-to-string-plugin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="buildSrc" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="kotlin-tostring-generator" type="b2602c69:ProjectViewProjectNode" />
              <item name="kotlin-to-string-plugin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="buildSrc" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
              <item name="tostring" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="kotlin-tostring-generator" type="b2602c69:ProjectViewProjectNode" />
              <item name="kotlin-to-string-plugin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="kotlin-tostring-generator" type="b2602c69:ProjectViewProjectNode" />
              <item name="kotlin-to-string-plugin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="kotlin-tostring-generator" type="b2602c69:ProjectViewProjectNode" />
              <item name="kotlin-to-string-plugin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="kotlin-tostring-generator" type="b2602c69:ProjectViewProjectNode" />
              <item name="kotlin-to-string-plugin" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="kotlin" type="462c0819:PsiDirectoryNode" />
              <item name="tostring" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="android.sdk.path" value="$USER_HOME$/Library/Android/sdk" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1554775064061" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="reference.settingsdialog.project.gradle" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="cash.andrew.tostring.AppKt" type="JetRunConfigurationType" factoryName="Kotlin" temporary="true" nameIsGenerated="true">
      <module name="kotlin-tostring-generator" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="MAIN_CLASS_NAME" value="cash.andrew.tostring.AppKt" />
      <option name="WORKING_DIRECTORY" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Kotlin.cash.andrew.tostring.AppKt" />
      </list>
    </recent_temporary>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="9f0813f0-215c-4acf-81b2-4e23aba57c7d" name="Default Changelist" comment="" />
      <created>1554768327533</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1554768327533</updated>
      <workItem from="1554768328899" duration="2210000" />
      <workItem from="1554776230216" duration="1312000" />
      <workItem from="1554821818167" duration="73000" />
      <workItem from="1555614188111" duration="11997000" />
      <workItem from="1555713385644" duration="1781000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="17373000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="2560" height="1417" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.1731533" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="Favorites" order="5" side_tool="true" />
      <window_info id="Resources Explorer" order="6" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32830188" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4313364" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Database Changes" order="9" />
      <window_info anchor="bottom" id="Terminal" order="10" sideWeight="0.49968535" visible="true" weight="0.4173585" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.50031465" side_tool="true" weight="0.7049526" />
      <window_info anchor="bottom" id="Build" order="12" weight="0.32929516" />
      <window_info anchor="bottom" id="Messages" order="13" weight="0.32929516" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Gradle" order="3" weight="0.32960597" />
      <window_info anchor="right" id="Theme Preview" order="4" />
      <window_info anchor="right" id="Maven" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Database" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="watch">
      <expression>
        <expression-string>klass.hasPrimaryConstructor()</expression-string>
        <language-id>kotlin</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>klass.primaryConstructor</expression-string>
        <language-id>kotlin</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>(klass.originalElement.lastChild.lastChild.lastChild</expression-string>
        <language-id>kotlin</language-id>
        <custom-info>import org.jetbrains.kotlin.psi.KtBlockExpression,import org.jetbrains.kotlin.psi.KtParameterList</custom-info>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>(klass.originalElement.lastChild.lastChild as KtParameterList).elementType</expression-string>
        <language-id>kotlin</language-id>
        <custom-info>import org.jetbrains.kotlin.psi.KtBlockExpression,import org.jetbrains.kotlin.psi.KtParameterList</custom-info>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>klass.originalElement.lastChild.text</expression-string>
        <language-id>kotlin</language-id>
        <custom-info>import org.jetbrains.kotlin.psi.KtBlockExpression</custom-info>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>klass.originalElement.lastChild</expression-string>
        <language-id>kotlin</language-id>
        <custom-info>import org.jetbrains.kotlin.psi.KtBlockExpression</custom-info>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>klass.originalElement.text</expression-string>
        <language-id>kotlin</language-id>
        <custom-info>import org.jetbrains.kotlin.psi.KtBlockExpression</custom-info>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>klass.originalElement</expression-string>
        <language-id>kotlin</language-id>
        <custom-info>import org.jetbrains.kotlin.psi.KtBlockExpression</custom-info>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>(klass.declarations</expression-string>
        <language-id>kotlin</language-id>
        <custom-info>import org.jetbrains.kotlin.psi.KtBlockExpression</custom-info>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>(klass.lastChild</expression-string>
        <language-id>kotlin</language-id>
        <custom-info>import org.jetbrains.kotlin.psi.KtBlockExpression</custom-info>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-gradle-plugin/1.3.21/3c999f173a5a5eaf4e1bccea848eff32c7272898/kotlin-gradle-plugin-1.3.21-sources.jar!/org/jetbrains/kotlin/gradle/dsl/KotlinProjectExtension.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="185">
          <caret line="36" column="11" selection-start-line="36" selection-start-column="11" selection-end-line="36" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build/classes/kotlin/main/cash/andrew/tostring/ToStringReplacer.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="19" selection-start-line="5" selection-start-column="19" selection-end-line="5" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build/classes/kotlin/main/cash/andrew/tostring/ToString.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="85" selection-start-line="5" selection-start-column="85" selection-end-line="5" selection-end-column="85" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build/classes/kotlin/main/cash/andrew/tostring/Test1.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="19" selection-start-line="5" selection-start-column="19" selection-end-line="5" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build/classes/kotlin/main/cash/andrew/tostring/AppKt.class">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-compiler-embeddable/1.3.21/677cc9553b8964c895abc76da9b6a0faea8f671d/kotlin-compiler-embeddable-1.3.21.jar!/org/jetbrains/kotlin/psi/KtFile.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="148">
          <caret line="36" column="20" selection-start-line="36" selection-start-column="20" selection-end-line="36" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-stdlib-common/1.3.21/224a3bcfa1c088dd5d7c4a3958a68427b44c65dc/kotlin-stdlib-common-1.3.21-sources.jar!/generated/_Collections.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="169">
          <caret line="1572" column="34" selection-start-line="1572" selection-start-column="34" selection-end-line="1572" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/5.3.1/gradle-kotlin-dsl-accessors/ccj170aaohf3uaetvdw5dcw71/cache/classes/org/gradle/kotlin/dsl/Accessors2oadk7let745pm8ahqypkqzlkKt.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="111" lean-forward="true" selection-start-line="7" selection-start-column="111" selection-end-line="7" selection-end-column="111" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/wrapper/dists/gradle-5.3.1-all/3xjuolr1tdlny82gse8vgfuf8/gradle-5.3.1/src/kotlin-dsl/org/gradle/kotlin/dsl/ExtensionAwareExtensions.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="26" selection-start-line="26" selection-end-line="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/model-core/src/main/java/org/gradle/api/internal/DynamicObjectAware.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="26" column="17" selection-start-line="26" selection-start-column="17" selection-end-line="26" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/core/src/main/java/org/gradle/api/internal/TaskInternal.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="34" column="40" lean-forward="true" selection-start-line="34" selection-start-column="40" selection-end-line="34" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/core/src/main/java/org/gradle/api/internal/AbstractTask.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="89" column="54" lean-forward="true" selection-start-line="89" selection-start-column="54" selection-end-line="89" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/core/src/main/java/org/gradle/api/DefaultTask.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="29" column="38" lean-forward="true" selection-start-line="29" selection-start-column="38" selection-end-line="29" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/plugins/src/main/java/org/gradle/api/tasks/SourceSetContainer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="22" column="17" selection-start-line="22" selection-start-column="17" selection-end-line="22" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/wrapper/dists/gradle-5.3.1-all/3xjuolr1tdlny82gse8vgfuf8/gradle-5.3.1/src/kotlin-dsl/org/gradle/kotlin/dsl/ProjectExtensions.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="169">
          <caret line="93" column="37" selection-start-line="93" selection-start-column="37" selection-end-line="93" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/5.3.1/generated-gradle-jars/gradle-api-5.3.1.jar!/org/gradle/api/file/SourceDirectorySet.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="201">
          <caret line="28" column="23" selection-start-line="28" selection-start-column="23" selection-end-line="28" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/core/src/main/java/org/gradle/api/internal/ConventionTask.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="26" column="22" selection-start-line="26" selection-start-column="22" selection-end-line="26" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/plugins/src/main/java/org/gradle/api/tasks/SourceSet.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="161">
          <caret line="201" column="4" lean-forward="true" selection-start-line="201" selection-start-column="4" selection-end-line="201" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/core-api/src/main/java/org/gradle/api/plugins/ExtensionAware.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="297">
          <caret line="81" column="17" selection-start-line="81" selection-start-column="17" selection-end-line="81" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.sdkman/candidates/java/11.0.2-open/lib/src.zip!/java.base/java/lang/Comparable.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="169">
          <caret line="95" column="17" selection-start-line="95" selection-start-column="17" selection-end-line="95" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/core-api/src/main/java/org/gradle/api/Task.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="169">
          <caret line="156" column="34" selection-start-line="156" selection-start-column="34" selection-end-line="156" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-gradle-plugin-api/1.3.21/d6b68351334b321aed15db2b75969b7b922c7c6e/kotlin-gradle-plugin-api-1.3.21-sources.jar!/org/jetbrains/kotlin/gradle/dsl/KotlinCompile.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="11" column="58" selection-start-line="11" selection-start-column="58" selection-end-line="11" selection-end-column="58" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-gradle-plugin/1.3.21/3c999f173a5a5eaf4e1bccea848eff32c7272898/kotlin-gradle-plugin-1.3.21-sources.jar!/org/jetbrains/kotlin/gradle/dsl/KotlinCompile.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="23" column="36" selection-start-line="23" selection-start-column="36" selection-end-line="23" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-gradle-plugin/1.3.21/3c999f173a5a5eaf4e1bccea848eff32c7272898/kotlin-gradle-plugin-1.3.21-sources.jar!/org/jetbrains/kotlin/gradle/tasks/tasksUtils.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="13" selection-start-line="13" selection-end-line="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.sdkman/candidates/java/11.0.2-open/lib/src.zip!/java.base/java/io/FileSystem.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="241">
          <caret line="154" column="28" selection-start-line="154" selection-start-column="28" selection-end-line="154" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.sdkman/candidates/java/11.0.2-open/lib/src.zip!/java.base/java/io/File.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="356" column="11" selection-start-line="356" selection-start-column="11" selection-end-line="356" selection-end-column="11" />
          <folding>
            <element signature="e#92979#92980#0" expanded="true" />
            <element signature="e#93028#93029#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build/classes/kotlin/main/cash/andrew/tostring/Test.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="19" selection-start-line="5" selection-start-column="19" selection-end-line="5" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/base-services/src/main/java/org/gradle/api/specs/Spec.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="22" column="17" selection-start-line="22" selection-start-column="17" selection-end-line="22" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-gradle-plugin/1.3.21/3c999f173a5a5eaf4e1bccea848eff32c7272898/kotlin-gradle-plugin-1.3.21-sources.jar!/org/jetbrains/kotlin/gradle/tasks/SourceRoots.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="425">
          <caret line="77" column="8" selection-start-line="77" selection-start-column="8" selection-end-line="77" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/core/src/main/java/org/gradle/api/tasks/SourceTask.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="241">
          <caret line="152" column="22" selection-start-line="152" selection-start-column="22" selection-end-line="152" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/modules-2/files-2.1/org.jetbrains.kotlin/kotlin-gradle-plugin/1.3.21/3c999f173a5a5eaf4e1bccea848eff32c7272898/kotlin-gradle-plugin-1.3.21-sources.jar!/org/jetbrains/kotlin/gradle/tasks/Tasks.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="241">
          <caret line="78" column="17" selection-start-line="78" selection-start-column="17" selection-end-line="78" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build/generated/toString/Test.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="3" column="6" selection-start-line="3" selection-start-column="6" selection-end-line="3" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/buildSrc/buildSrc.gradle.kts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" selection-start-line="7" selection-end-line="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/wrapper/dists/gradle-5.3.1-all/3xjuolr1tdlny82gse8vgfuf8/gradle-5.3.1/src/kotlin-dsl/org/gradle/kotlin/dsl/TaskContainerExtensions.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="372">
          <caret line="247" column="44" selection-start-line="247" selection-start-column="44" selection-end-line="247" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/core-api/src/main/java/org/gradle/api/tasks/util/PatternFilterable.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-696">
          <caret line="80" column="16" selection-start-line="80" selection-start-column="16" selection-end-line="80" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/35592b54d9ab0084c444757c27661b79/gradle-5.3.1/subprojects/core-api/src/main/java/org/gradle/api/file/SourceDirectorySet.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="36" column="17" selection-start-line="36" selection-start-column="17" selection-end-line="36" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/settings.gradle.kts">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="23" selection-start-column="23" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.gradle/wrapper/dists/gradle-5.3.1-all/3xjuolr1tdlny82gse8vgfuf8/gradle-5.3.1/src/kotlin-dsl/org/gradle/kotlin/dsl/KotlinDependencyExtensions.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="59" column="37" selection-start-line="59" selection-start-column="7" selection-end-line="59" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/annotations/src/main/kotlin/cash/andrew/kotlin/tostring/ToString.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="3" selection-start-line="3" selection-end-line="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/Test.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" column="8" selection-start-line="4" selection-start-column="8" selection-end-line="4" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/annotations/build.gradle.kts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="3" selection-start-line="2" selection-start-column="6" selection-end-line="5" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringCreator.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="303">
          <caret line="27" column="9" selection-start-line="27" selection-start-column="9" selection-end-line="27" selection-end-column="9" />
          <folding>
            <element signature="e#37#273#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/utils.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="495">
          <caret line="33" column="59" lean-forward="true" selection-start-line="33" selection-start-column="59" selection-end-line="33" selection-end-column="59" />
          <folding>
            <element signature="e#37#727#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringFinder.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" lean-forward="true" selection-start-line="7" selection-end-line="7" />
          <folding>
            <element signature="e#37#185#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build/generated/toString/App.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="8" lean-forward="true" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/Stuff.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="9" selection-start-line="5" selection-start-column="9" selection-end-line="5" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/kotlin/cash/andrew/tostring/App.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/build.gradle.kts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/KotlinToStringPlugin.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="31" column="48" selection-start-line="31" selection-start-column="48" selection-end-line="31" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/buildSrc/src/main/kotlin/cash/andrew/kotlin/tostring/ToStringTask.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="605">
          <caret line="56" column="5" lean-forward="true" selection-start-line="56" selection-start-column="5" selection-end-line="56" selection-end-column="5" />
          <folding>
            <element signature="e#37#975#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="12" column="10" selection-start-line="12" selection-start-column="10" selection-end-line="12" selection-end-column="10" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>11</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>